// Code generated by go-swagger; DO NOT EDIT.

package aws

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// GetAWSEndpointReader is a Reader for the GetAWSEndpoint structure.
type GetAWSEndpointReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *GetAWSEndpointReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewGetAWSEndpointOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewGetAWSEndpointBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewGetAWSEndpointUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewGetAWSEndpointInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewGetAWSEndpointOK creates a GetAWSEndpointOK with default headers values
func NewGetAWSEndpointOK() *GetAWSEndpointOK {
	return &GetAWSEndpointOK{}
}

/*GetAWSEndpointOK handles this case with default header values.

Successful retrieval of AWS account parameters
*/
type GetAWSEndpointOK struct {
	Payload *models.AWSAccountParams
}

func (o *GetAWSEndpointOK) Error() string {
	return fmt.Sprintf("[GET /api/providers/aws][%d] getAWSEndpointOK  %+v", 200, o.Payload)
}

func (o *GetAWSEndpointOK) GetPayload() *models.AWSAccountParams {
	return o.Payload
}

func (o *GetAWSEndpointOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.AWSAccountParams)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAWSEndpointBadRequest creates a GetAWSEndpointBadRequest with default headers values
func NewGetAWSEndpointBadRequest() *GetAWSEndpointBadRequest {
	return &GetAWSEndpointBadRequest{}
}

/*GetAWSEndpointBadRequest handles this case with default header values.

Bad request
*/
type GetAWSEndpointBadRequest struct {
	Payload *models.Error
}

func (o *GetAWSEndpointBadRequest) Error() string {
	return fmt.Sprintf("[GET /api/providers/aws][%d] getAWSEndpointBadRequest  %+v", 400, o.Payload)
}

func (o *GetAWSEndpointBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAWSEndpointBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAWSEndpointUnauthorized creates a GetAWSEndpointUnauthorized with default headers values
func NewGetAWSEndpointUnauthorized() *GetAWSEndpointUnauthorized {
	return &GetAWSEndpointUnauthorized{}
}

/*GetAWSEndpointUnauthorized handles this case with default header values.

Incorrect credentials
*/
type GetAWSEndpointUnauthorized struct {
	Payload *models.Error
}

func (o *GetAWSEndpointUnauthorized) Error() string {
	return fmt.Sprintf("[GET /api/providers/aws][%d] getAWSEndpointUnauthorized  %+v", 401, o.Payload)
}

func (o *GetAWSEndpointUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAWSEndpointUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAWSEndpointInternalServerError creates a GetAWSEndpointInternalServerError with default headers values
func NewGetAWSEndpointInternalServerError() *GetAWSEndpointInternalServerError {
	return &GetAWSEndpointInternalServerError{}
}

/*GetAWSEndpointInternalServerError handles this case with default header values.

Internal server error
*/
type GetAWSEndpointInternalServerError struct {
	Payload *models.Error
}

func (o *GetAWSEndpointInternalServerError) Error() string {
	return fmt.Sprintf("[GET /api/providers/aws][%d] getAWSEndpointInternalServerError  %+v", 500, o.Payload)
}

func (o *GetAWSEndpointInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAWSEndpointInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
