// Code generated by go-swagger; DO NOT EDIT.

package ldap

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// VerifyLdapUserSearchReader is a Reader for the VerifyLdapUserSearch structure.
type VerifyLdapUserSearchReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *VerifyLdapUserSearchReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewVerifyLdapUserSearchOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewVerifyLdapUserSearchBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewVerifyLdapUserSearchUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewVerifyLdapUserSearchInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewVerifyLdapUserSearchOK creates a VerifyLdapUserSearchOK with default headers values
func NewVerifyLdapUserSearchOK() *VerifyLdapUserSearchOK {
	return &VerifyLdapUserSearchOK{}
}

/*VerifyLdapUserSearchOK handles this case with default header values.

Verified LDAP credentials successfully
*/
type VerifyLdapUserSearchOK struct {
	Payload *models.LdapTestResult
}

func (o *VerifyLdapUserSearchOK) Error() string {
	return fmt.Sprintf("[POST /api/ldap/users/search][%d] verifyLdapUserSearchOK  %+v", 200, o.Payload)
}

func (o *VerifyLdapUserSearchOK) GetPayload() *models.LdapTestResult {
	return o.Payload
}

func (o *VerifyLdapUserSearchOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.LdapTestResult)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewVerifyLdapUserSearchBadRequest creates a VerifyLdapUserSearchBadRequest with default headers values
func NewVerifyLdapUserSearchBadRequest() *VerifyLdapUserSearchBadRequest {
	return &VerifyLdapUserSearchBadRequest{}
}

/*VerifyLdapUserSearchBadRequest handles this case with default header values.

Bad request
*/
type VerifyLdapUserSearchBadRequest struct {
	Payload *models.Error
}

func (o *VerifyLdapUserSearchBadRequest) Error() string {
	return fmt.Sprintf("[POST /api/ldap/users/search][%d] verifyLdapUserSearchBadRequest  %+v", 400, o.Payload)
}

func (o *VerifyLdapUserSearchBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *VerifyLdapUserSearchBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewVerifyLdapUserSearchUnauthorized creates a VerifyLdapUserSearchUnauthorized with default headers values
func NewVerifyLdapUserSearchUnauthorized() *VerifyLdapUserSearchUnauthorized {
	return &VerifyLdapUserSearchUnauthorized{}
}

/*VerifyLdapUserSearchUnauthorized handles this case with default header values.

Incorrect credentials
*/
type VerifyLdapUserSearchUnauthorized struct {
	Payload *models.Error
}

func (o *VerifyLdapUserSearchUnauthorized) Error() string {
	return fmt.Sprintf("[POST /api/ldap/users/search][%d] verifyLdapUserSearchUnauthorized  %+v", 401, o.Payload)
}

func (o *VerifyLdapUserSearchUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *VerifyLdapUserSearchUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewVerifyLdapUserSearchInternalServerError creates a VerifyLdapUserSearchInternalServerError with default headers values
func NewVerifyLdapUserSearchInternalServerError() *VerifyLdapUserSearchInternalServerError {
	return &VerifyLdapUserSearchInternalServerError{}
}

/*VerifyLdapUserSearchInternalServerError handles this case with default header values.

Internal server error
*/
type VerifyLdapUserSearchInternalServerError struct {
	Payload *models.Error
}

func (o *VerifyLdapUserSearchInternalServerError) Error() string {
	return fmt.Sprintf("[POST /api/ldap/users/search][%d] verifyLdapUserSearchInternalServerError  %+v", 500, o.Payload)
}

func (o *VerifyLdapUserSearchInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *VerifyLdapUserSearchInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
