// Code generated by go-swagger; DO NOT EDIT.

package vsphere

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// GetVSphereNetworksReader is a Reader for the GetVSphereNetworks structure.
type GetVSphereNetworksReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *GetVSphereNetworksReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewGetVSphereNetworksOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewGetVSphereNetworksBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewGetVSphereNetworksUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewGetVSphereNetworksInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewGetVSphereNetworksOK creates a GetVSphereNetworksOK with default headers values
func NewGetVSphereNetworksOK() *GetVSphereNetworksOK {
	return &GetVSphereNetworksOK{}
}

/*GetVSphereNetworksOK handles this case with default header values.

Successful retrieval of vSphere networks
*/
type GetVSphereNetworksOK struct {
	Payload []*models.VSphereNetwork
}

func (o *GetVSphereNetworksOK) Error() string {
	return fmt.Sprintf("[GET /api/providers/vsphere/networks][%d] getVSphereNetworksOK  %+v", 200, o.Payload)
}

func (o *GetVSphereNetworksOK) GetPayload() []*models.VSphereNetwork {
	return o.Payload
}

func (o *GetVSphereNetworksOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	// response payload
	if err := consumer.Consume(response.Body(), &o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetVSphereNetworksBadRequest creates a GetVSphereNetworksBadRequest with default headers values
func NewGetVSphereNetworksBadRequest() *GetVSphereNetworksBadRequest {
	return &GetVSphereNetworksBadRequest{}
}

/*GetVSphereNetworksBadRequest handles this case with default header values.

Bad request
*/
type GetVSphereNetworksBadRequest struct {
	Payload *models.Error
}

func (o *GetVSphereNetworksBadRequest) Error() string {
	return fmt.Sprintf("[GET /api/providers/vsphere/networks][%d] getVSphereNetworksBadRequest  %+v", 400, o.Payload)
}

func (o *GetVSphereNetworksBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetVSphereNetworksBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetVSphereNetworksUnauthorized creates a GetVSphereNetworksUnauthorized with default headers values
func NewGetVSphereNetworksUnauthorized() *GetVSphereNetworksUnauthorized {
	return &GetVSphereNetworksUnauthorized{}
}

/*GetVSphereNetworksUnauthorized handles this case with default header values.

Incorrect credentials
*/
type GetVSphereNetworksUnauthorized struct {
	Payload *models.Error
}

func (o *GetVSphereNetworksUnauthorized) Error() string {
	return fmt.Sprintf("[GET /api/providers/vsphere/networks][%d] getVSphereNetworksUnauthorized  %+v", 401, o.Payload)
}

func (o *GetVSphereNetworksUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetVSphereNetworksUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetVSphereNetworksInternalServerError creates a GetVSphereNetworksInternalServerError with default headers values
func NewGetVSphereNetworksInternalServerError() *GetVSphereNetworksInternalServerError {
	return &GetVSphereNetworksInternalServerError{}
}

/*GetVSphereNetworksInternalServerError handles this case with default header values.

Internal server error
*/
type GetVSphereNetworksInternalServerError struct {
	Payload *models.Error
}

func (o *GetVSphereNetworksInternalServerError) Error() string {
	return fmt.Sprintf("[GET /api/providers/vsphere/networks][%d] getVSphereNetworksInternalServerError  %+v", 500, o.Payload)
}

func (o *GetVSphereNetworksInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetVSphereNetworksInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
